function alpha0_s = CalcAlpha0(alpha1,in2)
%CALCALPHA0
%    ALPHA0_S = CALCALPHA0(ALPHA1,IN2)

%    This function was generated by the Symbolic Math Toolbox version 8.3.
%    25-May-2019 09:07:35

a0 = in2(:,2);
a1 = in2(:,1);
b0 = in2(:,4);
b1 = in2(:,3);
c0 = in2(:,8);
c1 = in2(:,7);
c2 = in2(:,6);
c3 = in2(:,5);
d0 = in2(:,10);
d1 = in2(:,9);
e0 = in2(:,12);
e1 = in2(:,11);
f0 = in2(:,16);
f1 = in2(:,15);
f2 = in2(:,14);
f3 = in2(:,13);
t2 = a1.*alpha1;
t3 = alpha1.*b1;
t4 = alpha1.*c1;
t5 = alpha1.^2;
t6 = alpha1.^3;
t7 = c2.*t5;
t8 = c3.*t6;
t9 = a0+t2;
t10 = b0+t3;
t11 = 1.0./t9;
t12 = c0+t4+t7+t8;
alpha0_s = -(f0+alpha1.*e0+d0.*t5-f2.*t11.*t12+f3.*t10.*t11.^2.*t12)./(f1+alpha1.*e1+d1.*t5-f2.*t10.*t11-f3.*t11.*(t12-t10.^2.*t11));
